=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
http://www.improbability.net/wmfire/wmfire-([\d\.]+).tar.gz
